Bug 1305135 - vdsm-logrotate fails to compress core dumps
vdsm-logrotate fails to compress core dumps
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: vdsm (Show other bugs)
3.1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Sahina Bose
RHS-C QE
infra
: ZStream
Depends On: 1221464 1265547
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 13:39 EST by RamaKasturi
Modified: 2017-06-28 05:06 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1221464
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2016-02-05 13:39:58 EST
+++ This bug was initially created as a clone of Bug #1221464 +++

Description of problem:
vdsm logs in /var/spool/mail/root with the following message details.
To: root@rhs-client24.lab.eng.blr.redhat.com
Subject: Cron <root@rhs-client24> run-parts /etc/cron.hourly
Content-Type: text/plain; charset=UTF-8
Auto-Submitted: auto-generated
Precedence: bulk
X-Cron-Env: <XDG_SESSION_ID=52>
X-Cron-Env: <XDG_RUNTIME_DIR=/run/user/0>
X-Cron-Env: <LANG=en_US.UTF-8>
X-Cron-Env: <SHELL=/bin/bash>
X-Cron-Env: <PATH=/sbin:/bin:/usr/sbin:/usr/bin>
X-Cron-Env: <MAILTO=root>
X-Cron-Env: <HOME=/root>
X-Cron-Env: <LOGNAME=root>
X-Cron-Env: <USER=root>
Message-Id: <20150514053101.6F1DF801AC5C@rhs-client24.lab.eng.blr.redhat.com>
Date: Thu, 14 May 2015 11:01:01 +0530 (IST)

/etc/cron.hourly/vdsm-logrotate:

error: error opening /var/log/core/core.25201.1431495374.dump: Permission denied
error: error opening /var/log/core/core.4944.1431000847.dump: Permission denied



Version-Release number of selected component (if applicable):
vdsm-4.17.0-785.git4db8ccb.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from RamaKasturi on 2015-05-14 01:54:37 EDT ---

Attaching vdsm and engine logs.

http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/rhsc/1221464/

--- Additional comment from Dan Kenigsberg on 2015-05-14 05:54:32 EDT ---

what's

 ls -lZ /var/log/core/core.4944.1431000847.dump

? Do you something of relevant in audit.log?

--- Additional comment from RamaKasturi on 2015-05-14 06:27:06 EDT ---

ls -lZ /var/log/core/core.4944.1431000847.dump
-rw-------. root root system_u:object_r:virt_cache_t:s0 /var/log/core/core.4944.1431000847.dump

I see the below AVC in the audit.log but not very sure if this is relevant. copying the audit.log file to the link mentioned in comment 1.

type=AVC msg=audit(1431598677.313:1084): avc:  denied  { getattr } for  pid=18593 comm="glusterd" path="/dev/random" dev="devtmpfs" ino=1032 scontext=system_u:system_r:glusterd_t:s0 tcontext=system_u:object_r:random_device_t:s0 tclass=chr_file


type=AVC msg=audit(1431596257.010:1063): avc:  denied  { getattr } for  pid=18593 comm="glusterd" path="/dev/random" dev="devtmpfs" ino=1032 scontext=
system_u:system_r:glusterd_t:s0 tcontext=system_u:object_r:random_device_t:s0 tclass=chr_file

--- Additional comment from Dan Kenigsberg on 2015-05-14 07:33:32 EDT ---

The AVCs are unrelated to the coredumps, but to /dev/random. They should be reported as glusterd bugs.

what is your `getenforce`?

do you see any mention of logrotate or the core dumps on audit.log?

--- Additional comment from RamaKasturi on 2015-05-14 07:58:16 EDT ---

getenforce

Permissive

I do not see any mention of logrotate or core dumps on audit.log

--- Additional comment from Yaniv Bronhaim on 2015-08-02 11:52:59 EDT ---

Hi, is this bug reproducible ? can you please provide steps that lead to it so I check better?

--- Additional comment from Sandro Bonazzola on 2015-09-29 05:09:48 EDT ---

This is an automated message.
oVirt 3.6.0 RC1 has been released. This bug has no target release and still have target milestone set to 3.6.0-rc.
Please review this bug and set target milestone and release to one of the next releases.

--- Additional comment from Yaniv Bronhaim on 2015-11-04 05:18:40 EST ---

I'm quite convinced that this issue is a duplication of Bug 1265547. Therefore closing it as DUP, please re-open if I'm wrong. There are no steps for in the description that I can try to verify myself.
Comment 2 RamaKasturi 2016-02-05 13:41:22 EST
seeing this issue with vdsm-4.16.30-1.3.el7rhgs.x86_64 on RHEL7.2 nodes

Note You need to log in before you can comment on or make changes to this bug.